Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.contrib.utils.join
Class TaggedMapOutput

    java.lang.Object
      org.apache.hadoop.contrib.utils.join.TaggedMapOutput

All Implemented Interfaces:
  Writable

    public abstract class TaggedMapOutput

extends Object
implements Writable

This abstract class serves as the base class for the values that flow from the mappers to the reducers in a data join job. Typically, in such a job, the mappers will compute the source tag of an input record based on its attributes or based on the file name of the input file. This tag will be used by the reducers to re-group the values of a given key according to their source tags.

Field Summary
`protected Text` | `tag`

Constructor Summary
`TaggedMapOutput()`

Method Summary
`TaggedMapOutput` | `clone(JobConf job)`
`abstract Writable` | `getData()`
`Text` | `getTag()`
`void` | `setTag(Text tag)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.io.Writable
`readFields, write`

Field Detail

### tag

    protected Text tag

Constructor Detail

### TaggedMapOutput

    public TaggedMapOutput()

Method Detail

### getTag

    public Text getTag()

### setTag

    public void setTag(Text tag)

### getData

    public abstract Writable getData()

### clone

    public TaggedMapOutput clone(JobConf job)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation